%define schemas baobab gnome-dictionary gnome-screenshot gnome-search-tool gnome-system-log
%define major 6
%define libname %mklibname gdict1.0_ %{major}
%define libnamedev %mklibname -d gdict1.0

Summary: GNOME utility programs such as file search and calculator
Name: gnome-utils
Version: 2.32.0
Release: %mkrel 2
License: GPLv2+ and GFDL
Group:  Graphical desktop/GNOME
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
Source1:    gnome-search-tool.schemas-patch.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
URL: http://www.gnome.org/softwaremap/projects/gnome-utils/
BuildRequires:  libpanel-applet-2-devel >= 2.9.4
BuildRequires:  gnome-desktop-devel >= 2.2.0
BuildRequires:  libglade2.0-devel >= 2.3.0
BuildRequires:  gnome-vfs2-devel >= 2.8.4
BuildRequires:  avahi-glib-devel avahi-client-devel
BuildRequires:  libxmu-devel
BuildRequires:  libgtop2.0-devel
BuildRequires:	ncurses-devel
BuildRequires:  scrollkeeper
BuildRequires:	gnome-doc-utils
BuildRequires:  gnome-common
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
BuildRequires:  e2fsprogs-devel
BuildRequires:  hal-devel
Requires: gnome-mount
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Provides: gfloppy
Obsoletes: gfloppy
Obsoletes: gnome-admin
Obsoletes: baobab
Provides: gnome-admin
Provides: baobab
Obsoletes: libgdict1.0_6 < %version
Provides: libgdict1.0_6 = %version-%release


%description
GNOME is the GNU Network Object Model Environment. This powerful
environment is both easy to use and easy to configure.

GNOME Utilities is a collection of small applications all there to make
your day just that little bit brighter - System Log Viewer, 
Search Tool, Dictionary, Floppy Format.

%description -l de
GNOME-Hilfsprogramme wie zum Beispiel Dateisuche und Taschenrechner 
GNOME ist die GNU-Netzwerk-Objekt-Modell-Umgebung. Diese leistungsstarke 
Umgebung ist sowohl einfach zu bedienen wie leicht zu konfigurieren. 
GNOME Utilities ist eine Sammlung von kleinen Anwendungen, die Ihren 
Tag nur das kleine bisschen leichter machen. 
- Systemprotokollanzeiger, Suchwerkzeug, Wörterbuch, Floppyformatierung.

#french
%description -l fr
GNOME Utilities est une collection de petites applications tout ce qu'il ya à faire
jour de votre tout petit peu plus lumineux - System Log Viewer,
Outil de recherche, de dictionnaire, Floppy Format.

#spanish
%description -l es
GNOME Utilities es una colección de pequeñas aplicaciones para hacer todo lo que hay
el día sólo que poco más brillante - System Log Viewer,
Herramienta de búsqueda, diccionario, Floppy Formato.

#polish
%description -l pl
Programy użytkowe GNOME'a.

#serbian
%description -l sr
Гном комуналије је збирка малих апликација све што постоји да би
дан само да је мало светлије - Систем Прегледник системског дневника,
Тражи Алат, речник, на дискети формата.

#dutch
%description -l nl
GNOME Utilities is een verzameling van kleine toepassingen er allemaal te maken
uw dag net dat beetje helderder - System Log Viewer,
Search Tool, Woordenboek, Floppy Format


%package devel
Group: Development/C
Summary: GNOME dictionary library development files
Requires: %name = %version
Obsoletes: %mklibname -d gdict1.0_ 5
Obsoletes: libgdict1.0-devel < %version
Provides: libgdict1.0-devel = %version-%release

%description devel
This is the shared library required by the GNOME Dictionary.

%description devel -l de
Entwickler Paket der gemeinsam genutzte Bibliothek, benötigt von der
GNOME Dictionary.

%prep
%setup -q

%build

%configure2_5x  

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
rm -rf %buildroot/var

%{find_lang} %{name}-2.0 --with-gnome --all-name
for omf in %buildroot%_datadir/omf/*/{*-??,*-??_??}.omf ;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name-2.0.lang
done

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/{gnome-search-tool.desktop,baobab.desktop}
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Monitoring" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/gnome-system-log.desktop
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/gnome-dictionary.desktop
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/gnome-screenshot.desktop


for i in $RPM_BUILD_ROOT%{_datadir}/applications/* ; do
 desktop-file-validate $i
done

rm -fv %buildroot%_bindir/test-reader

#bug patch gnome-search-tool.schemas
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas
bzip2 -cd %SOURCE1 | tar xf - -C $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas

%define schemas baobab gnome-dictionary gnome-screenshot gnome-search-tool gnome-system-log

%post
/sbin/ldconfig
%update_scrollkeeper
%post_install_gconf_schemas %schemas
%{update_menus}
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %schemas

%postun
/sbin/ldconfig
%clean_scrollkeeper
%{clean_menus}
%clean_icon_cache hicolor


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-2.0.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/baobab.schemas
%{_sysconfdir}/gconf/schemas/gnome-dictionary.schemas
%{_sysconfdir}/gconf/schemas/gnome-screenshot.schemas
%{_sysconfdir}/gconf/schemas/gnome-search-tool.schemas
%{_sysconfdir}/gconf/schemas/gnome-system-log.schemas
%_bindir/baobab
%_bindir/gnome-dictionary
%_bindir/gnome-panel-screenshot
%_bindir/gnome-screenshot
%_bindir/gnome-search-tool
%_bindir/gnome-system-log
%{_libdir}/bonobo/servers/*
%{_datadir}/applications/*
%{_datadir}/baobab/
%{_datadir}/gnome-screenshot
%{_datadir}/gnome-utils
%{_datadir}/gnome-2.0/ui/*
%_libexecdir/gnome-dictionary-applet
%_datadir/gdict*
%{_datadir}/gnome-dictionary/
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf
%_datadir/icons/hicolor/*/apps/*
%{_mandir}/*/*
%{_datadir}/pixmaps/*
%_libdir/libgdict-1.0.so.%{major}*

%files devel
%defattr(-, root, root)
%_libdir/libgdict*.so
%attr(644,root,root) %_libdir/libgdict*a
%_libdir/pkgconfig/gdict*.pc
%{_datadir}/gtk-doc/html/gdict
%_includedir/gdict*


%changelog
* Wed Sep 29 2010 Texstar <texstar at gmail.com> 2.32.0-1pclos2010
- adjust spec file

* Wed Sep 29 2010 siamer <siamer@wp.pl> 2.32.0-1pclos2010
- new version

* Wed Mar 31 2010 siamer <siamer@wp.pl> 2.30.0-1pclos2010
- new version

* Fri Jan 22 2010 Texstar <texstar at gmail.com> 2.28.1-4pclos2010
- rebuild libtool 2.26

* Sat Jan 09 2010 Texstar <texstar at gmail.com> 2.28.1-3pclos2010
- rebuild

* Fri Dec 25 2009 <texstar at gmail.com> 2.28.1-2pclos2010
- rebuild

* Thu Oct 22 2009 slick50 <lxgator@gmail.com>  -1pclos2010
- 2.28.1
- bug in gnome-search-tool.schemas
- patch with recent gnome-search-tool.schemas (2.28.0)

* Sat Oct 10 2009 Texstar <texstar at gmail.com> 2.28.0-2pclos2010
- system rebuild

* Sun Oct 04 2009 slick50 <lxgator@gmail.com> 2.28.0-1pclos2010
- 2.28.0
- gfloppy depreciated

* Mon May 11 2009 Texstar <texstar@gmail.com> 2.26.0-1pclos2009
- 2.26.0

